#!/bin/bash

QT6=$(ls -d /opt/Qt/6.9.* | sort -V | tail -n 1 | rev | cut -d "/" -f1 | rev)

HERE="$(pwd)"
echo ${HERE}

if [[ -x "/opt/Qt/${QT6}/gcc_64/bin/qmake" ]]

then

  SOKVAG="/opt/Qt/${QT6}/gcc_64/bin"

else

	echo "Cannot find executable program files."
	exit 1

fi

${SOKVAG}/lconvert -locations none -no-obsolete -no-ui-lines -i _streamcapture2_it_IT.ts -i _about_it_IT.ts -i _downloadandremove_it_IT.ts -i _libcheckupdate_it_IT.ts -i _libcheckupdcli_it_IT.ts -i _libselectfont_it_IT.ts -i _libupdateappimage_it_IT.ts -i _streamcapture2_it_IT.ts -o _complete_it_IT.ts



${SOKVAG}/lrelease _complete_it_IT.ts

cp -f _complete_it_IT.qm ../../code/i18n/


